Bug 265141 - openmpi fails to build due to invalid open call
openmpi fails to build due to invalid open call
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openmpi (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Test3
  Show dependency treegraph
 
Reported: 2007-08-29 16:35 EDT by Jesse Keating
Modified: 2013-01-09 21:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 21:49:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-08-29 16:35:13 EDT
http://koji.fedoraproject.org/koji/getfile?taskID=137016&name=build.log

libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I. -I../opal/include
-I../orte/include -I../ompi/include -I../ompi/include -I.. -DNDEBUG -O2 -g -pipe
-Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -fPIC -finline-functions
-fno-strict-aliasing -pthread -MT runtime/orte_abort.lo -MD -MP -MF
runtime/.deps/orte_abort.Tpo -c runtime/orte_abort.c  -fPIC -DPIC -o
runtime/.libs/orte_abort.o
depbase=`echo runtime/orte_init.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
	if /bin/sh ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I.
-I../opal/include -I../orte/include -I../ompi/include -I../ompi/include   -I.. 
  -DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -fPIC
-finline-functions -fno-strict-aliasing -pthread -MT runtime/orte_init.lo -MD
-MP -MF "$depbase.Tpo" -c -o runtime/orte_init.lo runtime/orte_init.c; \
	then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
runtime/orte_abort.c: In function 'orte_abort':
runtime/orte_abort.c:91: error: size of array '__open_missing_mode' is negative

Note You need to log in before you can comment on or make changes to this bug.